package com.ruoyi.invest.mapper;

import java.util.List;
import com.ruoyi.invest.domain.TProjectInvestigate;
import com.ruoyi.invest.domain.TProjectInvestigateVo;
import com.ruoyi.invest.domain.TProjectPool;
import org.apache.ibatis.annotations.Param;

/**
 * 尽调关联Mapper接口
 * 
 * @author zjc
 * @date 2024-03-13
 */
public interface TProjectInvestigateMapper 
{
    /**
     * 查询尽调关联
     * 
     * @param id 尽调关联主键
     * @return 尽调关联
     */
    public TProjectInvestigate selectTProjectInvestigateById(String id);

    /**
     * 查询尽调关联列表
     * 
     * @param tProjectInvestigate 尽调关联
     * @return 尽调关联集合
     */
    public List<TProjectInvestigate> selectTProjectInvestigateList(TProjectInvestigate tProjectInvestigate);

    /**
     * 新增尽调关联
     * 
     * @param tProjectInvestigate 尽调关联
     * @return 结果
     */
    public int insertTProjectInvestigate(TProjectInvestigate tProjectInvestigate);

    /**
     * 修改尽调关联
     * 
     * @param tProjectInvestigate 尽调关联
     * @return 结果
     */
    public int updateTProjectInvestigate(TProjectInvestigate tProjectInvestigate);

    /**
     * 删除尽调关联
     * 
     * @param id 尽调关联主键
     * @return 结果
     */
    public int deleteTProjectInvestigateById(String id);

    /**
     * 批量删除尽调关联
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTProjectInvestigateByIds(String[] ids);

    /**
     * 批量删除尽调关联
     * @param ids
     * @return
     */
    int updateTProjectInvestigateByIds(String[] ids);

    /**
     * 根据项目ID获取尽调数据
     * @param projectPoolId
     * @return
     */
    List<TProjectInvestigate> listProjectPoolId(String projectPoolId);

    /**
     * 修改尽调完成
     * @param id
     * @return
     */
    int editStatus(String id);

    /**
     * 根据项目ID获取最新尽调数据
     * @param projectPoolId
     * @return
     */
    TProjectInvestigate listProjectPoolIdNew(String projectPoolId);
    List<TProjectInvestigateVo> getMyTaskList(@Param("userId")String userId, @Param("projectInvestigate")TProjectInvestigateVo tProjectInvestigate);

    List<TProjectInvestigateVo> getMyDoneTaskList(@Param("userId")String userId, @Param("projectInvestigate")TProjectInvestigateVo tProjectInvestigate);

    List<TProjectInvestigateVo> getMyList(@Param("userId")String userId, @Param("projectInvestigate")TProjectInvestigateVo tProjectInvestigate);
}
